> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network

> Retrieve details for a VPC network

Get detailed information about a specific VPC network, including:

* Network configuration
* Subnet IDs
* Gateway information
* CIDR range


## OpenAPI

````yaml GET /projects/{projectId}/vpc/networks/{id}
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{projectId}/vpc/networks/{id}:
    get:
      tags: []
      summary: Get Network
      description: Retrieve details for a VPC network
      parameters:
        - name: projectId
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          description: Network id
          required: true
          example: 695b751c-2eaa-4e8b-8eb2-84cb367a69fe
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  subnets:
                    type: array
                    items:
                      type: string
                  gateway:
                    type: string
                  cidr:
                    type: string
                required:
                  - id
                  - name
                  - subnets
                  - gateway
                  - cidr
              examples:
                '1':
                  summary: Success
                  value:
                    id: 695b751c-2eaa-4e8b-8eb2-84cb367a69fe
                    name: default-vpc-network
                    subnets:
                      - 7ceecd34-2631-4857-ad82-ceb9dfd09425
                      - 1f264f8a-a753-462a-8fa8-bfe7bdb90891
                      - 778aaeef-5edd-4fc6-868f-b6cdd17795b7
                    gateway: 898c4316-49d5-48c7-919c-4b7c71f006dc
                    cidr: 172.27.0.0/16
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````